<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/SoundHandlers/PlayerSoundManager.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d52/_player_sound_manager_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">PlayerSoundManager.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d2/d52/_player_sound_manager_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d88/class_player_sound_manager_base.html">PlayerSoundManagerBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a0fd8354912d290f45ba638113305af58"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a> { <a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58a6bf06a15de893533dd8b5ea926d0e248">STAMINA</a>
, <a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58a648cc9dc693a649035818ae9dc67eaa8">HUNGER</a>
, <a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58a2fcd68c8474bce420454b4b6f351c5e7">INJURY</a>
, <a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58a2addb49878f50c95dc669e5fdbd130a2">COUNT</a>
 }</td></tr>
<tr class="separator:a0fd8354912d290f45ba638113305af58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a305ed36c985d496a86f38ed2f1e83fe9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a305ed36c985d496a86f38ed2f1e83fe9">PlayerSoundManagerBase</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a305ed36c985d496a86f38ed2f1e83fe9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a43a183fb6aaf3a54d11c7246e7321a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a3a43a183fb6aaf3a54d11c7246e7321a">RegisterHandler</a> (<a class="el" href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a> handler)</td></tr>
<tr class="separator:a3a43a183fb6aaf3a54d11c7246e7321a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0f8ec0fc33b83448a9e5bd910fa54f5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#ad0f8ec0fc33b83448a9e5bd910fa54f5">GetHandler</a> (<a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a> id)</td></tr>
<tr class="separator:ad0f8ec0fc33b83448a9e5bd910fa54f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">Init</a> ()</td></tr>
<tr class="memdesc:a1e3b6d38df0786ccf7f938d60e386aae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system)  <a href="../../d2/d52/_player_sound_manager_8c.html#a1e3b6d38df0786ccf7f938d60e386aae">More...</a><br /></td></tr>
<tr class="separator:a1e3b6d38df0786ccf7f938d60e386aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70ac517aa5d3b3af95f61a2d560d811f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#ga70ac517aa5d3b3af95f61a2d560d811f">Update</a> ()</td></tr>
<tr class="separator:ga70ac517aa5d3b3af95f61a2d560d811f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79cd71e5bf0a20d4a138d8bcc9321b79"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a79cd71e5bf0a20d4a138d8bcc9321b79">PlayerSoundManagerClient</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a79cd71e5bf0a20d4a138d8bcc9321b79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05b6530d54bc344fbd75b146bd7f0144"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a05b6530d54bc344fbd75b146bd7f0144">SetAllowUpdate</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a05b6530d54bc344fbd75b146bd7f0144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24d4e39d8fa8bd8e99f00c8cd29fdb8b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a24d4e39d8fa8bd8e99f00c8cd29fdb8b">CheckAllowUpdate</a> ()</td></tr>
<tr class="separator:a24d4e39d8fa8bd8e99f00c8cd29fdb8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1b89db0002d3a2ca76b7f5ce444b2cc8"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a1b89db0002d3a2ca76b7f5ce444b2cc8">SOUNDS_HEARING_DISTANCE</a> = 50</td></tr>
<tr class="separator:a1b89db0002d3a2ca76b7f5ce444b2cc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa1babe1b1ae623b12f79c61e6d46474"><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#aaa1babe1b1ae623b12f79c61e6d46474">m_Player</a></td></tr>
<tr class="separator:aaa1babe1b1ae623b12f79c61e6d46474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa811137cf7c1b43a1b3ddfb113a49321"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#aa811137cf7c1b43a1b3ddfb113a49321">MAX_HANDLERS_COUNT</a> = <a class="el" href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25a1933def4ded8ab63dacaf0d0cb84ca12">eSoundHandlers.COUNT</a></td></tr>
<tr class="separator:aa811137cf7c1b43a1b3ddfb113a49321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c5f00c3225ceec4cbb34420dc37d9d6"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a3c5f00c3225ceec4cbb34420dc37d9d6">m_Handlers</a> [<a class="el" href="../../d2/d52/_player_sound_manager_8c.html#aa811137cf7c1b43a1b3ddfb113a49321">MAX_HANDLERS_COUNT</a>]</td></tr>
<tr class="separator:a3c5f00c3225ceec4cbb34420dc37d9d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6ee5e45a44b035c53b90c1d254924d5"><td class="memItemLeft" align="right" valign="top">class PlayerSoundManagerServer extends <a class="el" href="../../df/d88/class_player_sound_manager_base.html">PlayerSoundManagerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#ab6ee5e45a44b035c53b90c1d254924d5">m_ClientCharacterTick</a> = new Timer</td></tr>
<tr class="separator:ab6ee5e45a44b035c53b90c1d254924d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bd794d15aed5db79c28fda354d0a279"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a6bd794d15aed5db79c28fda354d0a279">m_ClientCharacterDistanceCheck</a> = new Timer</td></tr>
<tr class="separator:a6bd794d15aed5db79c28fda354d0a279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4caa3967ab2481599965ee6e547f4ee5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a4caa3967ab2481599965ee6e547f4ee5">m_UpdateTimerRunning</a></td></tr>
<tr class="separator:a4caa3967ab2481599965ee6e547f4ee5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a0fd8354912d290f45ba638113305af58" name="a0fd8354912d290f45ba638113305af58"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fd8354912d290f45ba638113305af58">&#9670;&#160;</a></span>eSoundHandlers</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a0fd8354912d290f45ba638113305af58a6bf06a15de893533dd8b5ea926d0e248" name="a0fd8354912d290f45ba638113305af58a6bf06a15de893533dd8b5ea926d0e248"></a>STAMINA&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0fd8354912d290f45ba638113305af58a648cc9dc693a649035818ae9dc67eaa8" name="a0fd8354912d290f45ba638113305af58a648cc9dc693a649035818ae9dc67eaa8"></a>HUNGER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0fd8354912d290f45ba638113305af58a2fcd68c8474bce420454b4b6f351c5e7" name="a0fd8354912d290f45ba638113305af58a2fcd68c8474bce420454b4b6f351c5e7"></a>INJURY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0fd8354912d290f45ba638113305af58a2addb49878f50c95dc669e5fdbd130a2" name="a0fd8354912d290f45ba638113305af58a2addb49878f50c95dc669e5fdbd130a2"></a>COUNT&#160;</td><td class="fielddoc"></td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a24d4e39d8fa8bd8e99f00c8cd29fdb8b" name="a24d4e39d8fa8bd8e99f00c8cd29fdb8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24d4e39d8fa8bd8e99f00c8cd29fdb8b">&#9670;&#160;</a></span>CheckAllowUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void CheckAllowUpdate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00138">138</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="ad0f8ec0fc33b83448a9e5bd910fa54f5" name="ad0f8ec0fc33b83448a9e5bd910fa54f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0f8ec0fc33b83448a9e5bd910fa54f5">&#9670;&#160;</a></span>GetHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a> GetHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00038">38</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="a1e3b6d38df0786ccf7f938d60e386aae" name="a1e3b6d38df0786ccf7f938d60e386aae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e3b6d38df0786ccf7f938d60e386aae">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside of a non-static system) </p>
<p >script functions</p>
<p >called by engine right after creation of entity </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00043">43</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="a305ed36c985d496a86f38ed2f1e83fe9" name="a305ed36c985d496a86f38ed2f1e83fe9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a305ed36c985d496a86f38ed2f1e83fe9">&#9670;&#160;</a></span>PlayerSoundManagerBase()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="../../df/d88/class_player_sound_manager_base.html">PlayerSoundManagerBase</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00026">26</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="a79cd71e5bf0a20d4a138d8bcc9321b79" name="a79cd71e5bf0a20d4a138d8bcc9321b79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79cd71e5bf0a20d4a138d8bcc9321b79">&#9670;&#160;</a></span>PlayerSoundManagerClient()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PlayerSoundManagerClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00099">99</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="a3a43a183fb6aaf3a54d11c7246e7321a" name="a3a43a183fb6aaf3a54d11c7246e7321a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a43a183fb6aaf3a54d11c7246e7321a">&#9670;&#160;</a></span>RegisterHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RegisterHandler </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a>&#160;</td>
          <td class="paramname"><em>handler</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00032">32</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="a05b6530d54bc344fbd75b146bd7f0144" name="a05b6530d54bc344fbd75b146bd7f0144"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05b6530d54bc344fbd75b146bd7f0144">&#9670;&#160;</a></span>SetAllowUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SetAllowUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00108">108</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a6bd794d15aed5db79c28fda354d0a279" name="a6bd794d15aed5db79c28fda354d0a279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6bd794d15aed5db79c28fda354d0a279">&#9670;&#160;</a></span>m_ClientCharacterDistanceCheck</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer m_ClientCharacterDistanceCheck = new Timer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00085">85</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="ab6ee5e45a44b035c53b90c1d254924d5" name="ab6ee5e45a44b035c53b90c1d254924d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6ee5e45a44b035c53b90c1d254924d5">&#9670;&#160;</a></span>m_ClientCharacterTick</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class PlayerSoundManagerServer extends <a class="el" href="../../df/d88/class_player_sound_manager_base.html">PlayerSoundManagerBase</a> m_ClientCharacterTick = new Timer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3c5f00c3225ceec4cbb34420dc37d9d6" name="a3c5f00c3225ceec4cbb34420dc37d9d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c5f00c3225ceec4cbb34420dc37d9d6">&#9670;&#160;</a></span>m_Handlers</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../d4/d25/class_sound_handler_base.html">SoundHandlerBase</a> m_Handlers[<a class="el" href="../../d2/d52/_player_sound_manager_8c.html#aa811137cf7c1b43a1b3ddfb113a49321">MAX_HANDLERS_COUNT</a>]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00024">24</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="aaa1babe1b1ae623b12f79c61e6d46474" name="aaa1babe1b1ae623b12f79c61e6d46474"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa1babe1b1ae623b12f79c61e6d46474">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d2/d52/_player_sound_manager_8c.html#a0fd8354912d290f45ba638113305af58">eSoundHandlers</a> m_Player</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4caa3967ab2481599965ee6e547f4ee5" name="a4caa3967ab2481599965ee6e547f4ee5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4caa3967ab2481599965ee6e547f4ee5">&#9670;&#160;</a></span>m_UpdateTimerRunning</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> m_UpdateTimerRunning</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00086">86</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="aa811137cf7c1b43a1b3ddfb113a49321" name="aa811137cf7c1b43a1b3ddfb113a49321"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa811137cf7c1b43a1b3ddfb113a49321">&#9670;&#160;</a></span>MAX_HANDLERS_COUNT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> MAX_HANDLERS_COUNT = <a class="el" href="../../da/d9c/_e_mixed_sound_states_8c.html#a9e5aea2986b037404237ee76b0ae0a25a1933def4ded8ab63dacaf0d0cb84ca12">eSoundHandlers.COUNT</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00023">23</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
<a id="a1b89db0002d3a2ca76b7f5ce444b2cc8" name="a1b89db0002d3a2ca76b7f5ce444b2cc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b89db0002d3a2ca76b7f5ce444b2cc8">&#9670;&#160;</a></span>SOUNDS_HEARING_DISTANCE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="../../d4/dc3/classfloat.html">float</a> SOUNDS_HEARING_DISTANCE = 50</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html#l00002">2</a> of file <a class="el" href="../../d2/d52/_player_sound_manager_8c_source.html">PlayerSoundManager.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_9547125267451c28757a0273a70ec258.html">SoundHandlers</a></li><li class="navelem"><a class="el" href="../../d2/d52/_player_sound_manager_8c.html">PlayerSoundManager.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
